%define subrel 2
# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir	%{_prefix}/lib/qt3
%define libqt3name	%mklibname qt 3
%define qtrelease %mkrel 4

%define libqassistantname %mklibname qassistantclient 1
%define libdesignercore %mklibname designercore 1
%define libeditor %mklibname editor 1

%define useqtcopy 0

%if %useqtcopy
%define nameqt	qt-x11-free-qt-copy-20051216
%else
%define nameqt	qt-x11-free
%endif


%define buildSQL 1
%{?_without_SQL: %{expand4 %%global buildSQL 0}}

%define buildDebug 0
%{?_with_debug: %{expand: %%global buildDebug 1}}

%define buildStatic 1
%{?_without_static: %{expand: %%global buildStatic 0}}

%define buildImmodule 1
%{?_without_immodule: %{expand: %%global buildImmodule 0}}

%define plugindir  %{qtdir}/plugins/%{_lib}

Name: qt3
Version:	3.3.8
Release: %qtrelease
License:	GPL and QPL
Summary: Qt3 - Sources
Group: System/Libraries
URL: http://www.trolltech.com
Packager: Mandriva Linux KDE Team <kde@mandriva.com>

Source: 	%nameqt-%version.tar.bz2
Source1:	qt3-set-QTDIR-environment-csh
Source2:	qt3-set-QTDIR-environment-sh
Source3:	qt3-designer.desktop
Source4:	qt3-linguist.desktop
# David - 3.0.0-0.11mdk - Properly set designer environment
Source5:	qt3-designer-sh
# David - 3.0.0-0.11mdk - Properly set assistant environment
Source6:	qt3-assistant-sh
# David - 3.0.0-0.11mdk - Properly set uic environment
Source7:	qt3-uic-sh
# David - 3.0.0-0.11mdk - Explain some things to users
Source8:	qt3-README-Mandriva-Linux
# David - 3.0.0-0.11mdk - Set QT_XFT
Source9:	qt3-set-QT_XFT-environment-csh
Source10:	qt3-set-QT_XFT-environment-sh
Source11: qt3.macros
Patch1:  qt-3.1.1-fix-xft2-compile.patch
Patch2:  qt-3.2.3-fix-cupslib.patch
Patch3:  qt-3.3.2-active-aa-by-default.patch
Patch4:  qt-x11-free-3.3.5-no-rpath.patch
Patch5:  qt-3.3.2-fix-configure.patch
Patch6:  qt3-fix-unicode-font-cache.patch
Patch7:  qt-x11-free-3.3.5-fix-load-gl.patch
Patch8:  qt-3.3.5-lib64-plugins.patch
Patch9:  qt-x11-free-3.3.5-xpm-handling-fixes.patch
Patch10: qt-3.3.3-fix-accessible.patch
Patch11: qt-x11-free-3.3.6-qt-x11-immodule-unified-qt3.3.5-20060318-pre.patch
Patch12: fix-key-release-event-with-imm.diff
Patch13: qt-x11-free-3.3.6-lib64.patch
Patch14: qt-x11-free-3.3.4-linux32.patch
Patch15: qt-visibility.patch
Patch16: qt-x11-free-3.3.5-makelibshared.patch
Patch17: qt3-opentype-aliasing.patch
Patch18: qt3-disable-inputmethod-for-passwords.patch
Patch19: qt-3.3.5-external-sqlite.patch
Patch23: qt-x11-free-3.3.5-rubberband.patch
Patch24: qt-x11-free-3.3.5-qtranslator-crash.patch
Patch25: qt-x11-free-3.3.5-enable-designer-plugins.patch
Patch28: qt-x11-immodule-nodebug.diff
Patch29: fix-x11-immodule.diff
Patch30: fix-im-crash-on-exit.diff
Patch31: workaround-for-xlib-xim-bug.diff
Patch51: qt-x11-immodule-unified-qt3.3.7-20061229.diff.bz2
Patch52: qt-x11-free-3.3.6-qt-x11-immodule-unified-qt3.3.5-20060318-post.patch
Patch53: qt-x11-immodule-unified-qt3.3.5-20051012-quiet.patch
Patch54:	qt3-xinerama-support.patch
Patch55:	qt3-3.3.6-fix-xim-space-touch.patch
Patch56:	qt3-3.3.6-fix-xorg7.0.patch

Patch58:    qt-3.3.6-fix-qfile-message-error.patch

Patch59:    qt-3.3.6-fix-qfile-message-error2.patch
Patch60:	qt3-3.3.8-fix-space.patch
Patch61:	utf8-bug-qt3.diff
Patch62:	qt3-CVE-2007-3388.patch
Patch63:	qt3-3.3.8-CVE-2007-4137.patch

Buildroot: 	%_tmppath/%name-%version-%release-root

BuildRequires:	mandriva-create-kde-mdk-menu
%if %buildSQL
BuildRequires: MySQL-devel 
BuildRequires: unixODBC-devel 
BuildRequires: postgresql-devel
BuildRequires: sqlite-devel
%endif
BuildRequires: freetype2-devel
%if %mdkversion <= 200600
BuildRequires: libMesaGLU-devel 
BuildRequires: XFree86-devel
BuildRequires: Xft-devel
%else
BuildRequires: mesaglut-devel
BuildRequires:	libx11-devel
BuildRequires: 	libxft-devel
BuildRequires:	libxcursor-devel
BuildRequires:  libxrandr-devel
BuildRequires:	libxinerama-devel
%endif
BuildRequires: bzip2-devel
BuildRequires: libjpeg-devel
BuildRequires: libmng-devel
BuildRequires: libpng-devel
BuildRequires: zlib1-devel 
BuildRequires: nas-devel
%if "%{_lib}" != "lib"
BuildRequires:  linux32
%endif

%description
Qt is a complete and well-designed multi-platform object-oriented framework for
developing graphical user interface (GUI) applications using C++. Qt has
seamless integration with OpenGL/Mesa 3D libraries.

Qt is free for development of free software on the X Window System. It includes
the complete source code for the X version and makefiles for Linux, Solaris,
SunOS, FreeBSD, OSF/1, Irix, BSD/OS, NetBSD, SCO, HP-UX and AIX. This edition
of Qt may be modified and distributed under the terms found in the LICENSE.QPL
file.

Qt also supports Windows 95 and NT, with native look and feel. Code developed
for the X version of Qt can be recompiled and run using the Windows 95/NT
version of Qt, and vice versa.

Qt is currently used in hundreds of software development projects world wide,
including the K Desktop Environment (see http://www.kde.org). For more
examples, see http://www.trolltech.com/qtprogs.html.

Qt has excellent documentation: around 750 pages of postscript and fully
cross-referenced online html documentation. It is available on the web:
http://doc.trolltech.com/

Qt is easy to learn, with consistent naming across all the classes and a
14-chapter on-line tutorial with links into the rest of the documentation.
A number of 3rd-party books are also available.

Qt dramatically cuts down on development time and complexity in writing
user interface software for the X Window System. It allows the programmer
to focus directly on the programming task, and not mess around with
low-level Motif/X11 code.

Qt is fully object-oriented. All widgets and dialogs are C++ objects,
and, using inheritance, creation of new widgets is easy and natural.

Qt's revolutionary signal/slot mechanism provides true component
programming. Reusable components can work together without any knowledge
of each other, and in a type-safe way.

Qt has a very fast paint engine, in some cases ten times faster than other
toolkits. The X version is based directly on Xlib and uses neither
Motif nor X Intrinsics.

Qt is available under two different licenses:
  - The Qt Professional Edition License, for developing fully commercial
    software: see http://www.trolltech.com/pricing.html
  - The Q Public License (QPL), for developing free software (X Window System
    only).

#--------------------------------------------------------------------

%package -n %libqt3name
Summary: Qt3 - Shared libraries
Group: System/Libraries
Requires: %{name}-common = %version

%description -n %libqt3name
Qt is a complete and well-designed multi-platform object-oriented framework for
developing graphical user interface (GUI) applications using C++. Qt has
seamless integration with OpenGL/Mesa 3D libraries.

Qt is free for development of free software on the X Window System. It includes
the complete source code for the X version and makefiles for Linux, Solaris,
SunOS, FreeBSD, OSF/1, Irix, BSD/OS, NetBSD, SCO, HP-UX and AIX. This edition
of Qt may be modified and distributed under the terms found in the LICENSE.QPL
file.

Qt also supports Windows 95 and NT, with native look and feel. Code developed
for the X version of Qt can be recompiled and run using the Windows 95/NT
version of Qt, and vice versa.

Qt is currently used in hundreds of software development projects world wide,
including the K Desktop Environment (see http://www.kde.org). For more
examples, see http://www.trolltech.com/qtprogs.html.

Qt has excellent documentation: around 750 pages of postscript and fully
cross-referenced online html documentation. It is available on the web:
http://doc.trolltech.com/

Qt is easy to learn, with consistent naming across all the classes and a
14-chapter on-line tutorial with links into the rest of the documentation.
A number of 3rd-party books are also available.

Qt dramatically cuts down on development time and complexity in writing
user interface software for the X Window System. It allows the programmer
to focus directly on the programming task, and not mess around with
low-level Motif/X11 code.

Qt is fully object-oriented. All widgets and dialogs are C++ objects,
and, using inheritance, creation of new widgets is easy and natural.

Qt's revolutionary signal/slot mechanism provides true component
programming. Reusable components can work together without any knowledge
of each other, and in a type-safe way.

Qt has a very fast paint engine, in some cases ten times faster than other
toolkits. The X version is based directly on Xlib and uses neither
Motif nor X Intrinsics.

Qt is available under two different licenses:
  - The Qt Professional Edition License, for developing fully commercial
    software: see http://www.trolltech.com/pricing.html
  - The Q Public License (QPL), for developing free software (X Window System
    only).

This package contains shared libraries. 

%post -n %libqt3name
grep -q "^%qtdir/%_lib$" /etc/ld.so.conf || echo "%qtdir/%_lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun -n %libqt3name
if [ "$1" = "0" ]; then
   rm -f /etc/ld.so.conf.new
   grep -v -e "^%qtdir/%_lib$" /etc/ld.so.conf > /etc/ld.so.conf.new
   mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%files -n %libqt3name
%defattr(-,root,root,-)
%dir %qtdir/
%dir %qtdir/%_lib/
%qtdir/%_lib/libqt-mt.so.3
%qtdir/%_lib/libqt-mt.so.3.3
%qtdir/%_lib/libqt-mt.so.%version
%qtdir/%_lib/libqt-mt.la
%qtdir/%_lib/libqui.so.1
%qtdir/%_lib/libqui.so.1.0
%qtdir/%_lib/libqui.so.1.0.0
%qtdir/%_lib/*.prl

%dir %{plugindir}/styles/
%{plugindir}/styles/*style.so

%if %{buildImmodule}
%dir %{plugindir}/inputmethods/
%{plugindir}/inputmethods/*.so
%endif

#--------------------------------------------------------------------

%package -n %libqt3name-devel
Summary: Qt3 - Files needed to build Qt3 based applications
Group: Development/KDE and Qt
Requires: %libqt3name = %version-%release
%if %mdkversion <= 200600
Requires: XFree86-devel
%else
Requires:  libx11-devel
%endif
Provides: libqt-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: libqt3-pch-headers < 3.3.5
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%if %mdkversion <= 200600
Requires: libMesaGLU-devel
%else
Requires: mesaglut-devel
%endif



# David - 3.0.0-0.11-mdk - Rpmlint want a 'Provides: libqt-devel' here. We don't
#                          provide it because there is a high risk to confuse
#                          some old packages

%description -n %libqt3name-devel
Qt is a complete and well-designed multi-platform object-oriented framework for
developing graphical user interface (GUI) applications using C++. Qt has
seamless integration with OpenGL/Mesa 3D libraries.

Qt is free for development of free software on the X Window System. It includes
the complete source code for the X version and makefiles for Linux, Solaris,
SunOS, FreeBSD, OSF/1, Irix, BSD/OS, NetBSD, SCO, HP-UX and AIX. This edition
of Qt may be modified and distributed under the terms found in the LICENSE.QPL
file.

Qt also supports Windows 95 and NT, with native look and feel. Code developed
for the X version of Qt can be recompiled and run using the Windows 95/NT
version of Qt, and vice versa.

Qt is currently used in hundreds of software development projects world wide,
including the K Desktop Environment (see http://www.kde.org). For more
examples, see http://www.trolltech.com/qtprogs.html.

Qt has excellent documentation: around 750 pages of postscript and fully
cross-referenced online html documentation. It is available on the web:
http://doc.trolltech.com/

Qt is easy to learn, with consistent naming across all the classes and a
14-chapter on-line tutorial with links into the rest of the documentation.
A number of 3rd-party books are also available.

Qt dramatically cuts down on development time and complexity in writing
user interface software for the X Window System. It allows the programmer
to focus directly on the programming task, and not mess around with
low-level Motif/X11 code.

Qt is fully object-oriented. All widgets and dialogs are C++ objects,
and, using inheritance, creation of new widgets is easy and natural.

Qt's revolutionary signal/slot mechanism provides true component
programming. Reusable components can work together without any knowledge
of each other, and in a type-safe way.

Qt has a very fast paint engine, in some cases ten times faster than other
toolkits. The X version is based directly on Xlib and uses neither
Motif nor X Intrinsics.

Qt is available under two different licenses:
  - The Qt Professional Edition License, for developing fully commercial
    software: see http://www.trolltech.com/pricing.html
  - The Q Public License (QPL), for developing free software (X Window System
    only).

This package contains:
  - files needed to build Qt based applications
  - designer, assistant and linguist applications

%post -n %libqt3name-devel
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif


%postun -n %libqt3name-devel
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%endif


%files -n %libqt3name-devel
%defattr(-,root,root,-)
%doc %_mandir/man1/*
%doc %_mandir/man3/*
%_bindir/assistant
%_bindir/designer-qt3
%qtdir/%_lib/*.so
%_menudir/*
%_sysconfdir/rpm/macros.d/*
%dir %qtdir/%_lib/pkgconfig/
%qtdir/%_lib/pkgconfig/*.pc
%dir %_libdir/pkgconfig/
%_libdir/pkgconfig/*.pc
%dir %_datadir/applnk/
%dir %_datadir/applnk/Development/
%_datadir/applnk/Development/*.desktop
%dir %_datadir/gnome/
%dir %_datadir/gnome/apps/
%dir %_datadir/gnome/apps/Development/
%_datadir/gnome/apps/Development/*.desktop
%dir %qtdir/
%dir %qtdir/bin
%qtdir/bin/assistant  
%qtdir/bin/designer-real  
%qtdir/bin/lrelease  
%qtdir/bin/moc    
%qtdir/bin/qmake
%_bindir/qmake
%multiarch %qtdir/bin/%multiarch_platform/qmake
%qtdir/bin/uic
%qtdir/bin/designer   
%qtdir/bin/linguist       
%qtdir/bin/lupdate   
%qtdir/bin/qm2ts  
%multiarch %dir %qtdir/include/%multiarch_platform
%multiarch %qtdir/include/%multiarch_platform/*.h
%dir %qtdir/include/
%qtdir/include/*.h
%dir %qtdir/include/private/
%qtdir/include/private/*.h
%dir %qtdir/templates/
%qtdir/templates/*.ui
%dir %{plugindir}/designer
%{plugindir}/designer/*
%dir %qtdir/mkspecs/
%qtdir/mkspecs/*
%dir %qtdir/src/
%qtdir/src/*

#--------------------------------------------------------------------
%if %{buildStatic}

%package -n %libqt3name-static-devel
Summary: Qt3 - Static files needed to build Qt3 based applications
Group: Development/KDE and Qt
Requires: %libqt3name-devel = %version-%release
Provides: libqt-static-devel = %{version}-%{release}
Provides: %{name}-static-devel = %{version}-%{release}

%description -n %libqt3name-static-devel
This package contains:
  - files needed to build static Qt based applications

%files -n %libqt3name-static-devel
%defattr(-,root,root,-)
%qtdir/%_lib/*.a

%endif

#--------------------------------------------------------------------

%package common
Summary:	config, language file for Qt
Group:      Development/KDE and Qt
Requires:   %libqt3name = %version
Obsoletes:	libqt3-common
Provides:	libqt3-common = %{version}-%{release}
# Laurent : allow to install package which use this provides (commercial packages which want to install under distro and used this provides
Provides:	qt = %{version}-%{release}
Provides:	qt3 = %{version}-%{release}

%description common
This package contains all config file and language file

%files common
%defattr(-,root,root,-)
%dir %{plugindir}
%if %buildSQL
%dir %{plugindir}/sqldrivers
%endif
%dir %qtdir/phrasebooks/
%qtdir/phrasebooks/*.qph
%dir %qtdir/
%dir %qtdir/bin
%qtdir/bin/qtconfig
%_bindir/qtconfig
%_sysconfdir/profile.d/*.csh
%_sysconfdir/profile.d/*.sh
%config(noreplace) %_sysconfdir/qtrc
%config(noreplace) %_sysconfdir/kstylerc
%dir %qtdir/translations/
%qtdir/translations/*.qm

#--------------------------------------------------------------------

%if %buildSQL
%package -n %libqt3name-mysql
Summary: 	MySQL plugin for Qt
Group: 		Development/KDE and Qt
Requires:	%libqt3name = %version-%release
Provides:	%{name}-MySQL = %{version}-%{release}

%description -n %libqt3name-mysql
This package contain the MySQL plugin for Qt.

%files -n %libqt3name-mysql
%defattr(-,root,root)
%{plugindir}/sqldrivers/libqsqlmysql.so


%package -n %libqt3name-psql
Summary: 	PostgresSQL plugin for Qt
Group: 		Development/KDE and Qt
Requires:	%libqt3name = %version-%release
Provides:	%{name}-PostgreSQL = %{version}-%{release}

%description -n %libqt3name-psql
This package contain the PostgresSQL plugin for Qt.


%files -n %libqt3name-psql
%defattr(-,root,root)
%{plugindir}/sqldrivers/libqsqlpsql.so

%package -n %libqt3name-odbc
Summary: 	ODBC plugin for Qt
Group: 		Development/KDE and Qt
Requires:	%libqt3name = %version-%release
Provides:	%{name}-ODBC = %{version}-%{release}

%description -n %libqt3name-odbc
This package contain the ODBC plugin for Qt.


%files -n %libqt3name-odbc
%defattr(-,root,root)
%{plugindir}/sqldrivers/libqsqlodbc.so


%package -n %libqt3name-sqlite
Summary: 	Sqlite 2 plugin for Qt
Group: 		Development/KDE and Qt
Requires:	%libqt3name = %version-%release
Provides:	%{name}-Sqlite = %{version}-%{release}

%description -n %libqt3name-sqlite
This package contain the Sqlite 2 plugin for Qt.

%files -n %libqt3name-sqlite
%defattr(-,root,root)
%{plugindir}/sqldrivers/libqsqlite.so

%endif

#--------------------------------------------------------------------

%package -n %libqassistantname
Summary: Qt3 - Shared libraries
Group: System/Libraries

%description -n %libqassistantname
Qt3 - Shared libraries

%post -n %libqassistantname -p /sbin/ldconfig
%postun -n %libqassistantname -p /sbin/ldconfig

%files -n %libqassistantname
%defattr(-,root,root)
%qtdir/%_lib/libqassistantclient.so.*

#--------------------------------------------------------------------

%package -n %libdesignercore
Summary: Qt3 - Shared libraries
Group: System/Libraries

%description -n %libdesignercore
Qt3 - Shared libraries

%post -n %libdesignercore -p /sbin/ldconfig
%postun -n %libdesignercore -p /sbin/ldconfig

%files -n %libdesignercore
%defattr(-,root,root)
%qtdir/%_lib/libdesignercore.so.*

#--------------------------------------------------------------------

%package -n %libeditor
Summary: Qt3 - Shared libraries
Group: System/Libraries

%description -n %libeditor
Qt3 - Shared libraries

%post -n %libeditor -p /sbin/ldconfig
%postun -n %libeditor -p /sbin/ldconfig

%files -n %libeditor
%defattr(-,root,root)
%qtdir/%_lib/libeditor.so.*

#--------------------------------------------------------------------

%package example
Summary:    Qt examples.
Group:      Development/KDE and Qt
Obsoletes:  libqt3-example
Provides:   libqt3-example

%description example
This package contain Qt example.

%files example
%defattr(-,root,root)
%dir %_docdir/%name/examples
%doc %_docdir/%name/examples/*

#--------------------------------------------------------------------

%package tutorial
Summary:    Qt tutorials.
Group:      Development/KDE and Qt

%description tutorial
This package contain Qt tutorial.

%files tutorial
%defattr(-,root,root)
%dir %_docdir/%name/tutorial
%doc %_docdir/%name/tutorial/*

#--------------------------------------------------------------------

%package doc
Summary: Qt documentation
Group: Development/KDE and Qt
Conflicts:libqt3-devel <= 3.3.4-13mdk

%description doc
This package contain Qt documentation

%post doc
# Remove old qt3 doc directories
find %_docdir -maxdepth 1 -type d -name qt-3.\* -exec rm -rf {} \;

%files doc
%dir %_docdir/%name
%doc %_docdir/%name/FAQ
%doc %_docdir/%name/LICENSE*
%doc %_docdir/%name/README*
%dir %_docdir/%name/doc/
%dir %_docdir/%name/doc/html/
%doc %_docdir/%name/doc/html/*
%dir %qtdir/doc/
%qtdir/doc/html

#--------------------------------------------------------------------


%prep
%setup -q -n %nameqt-%version

%if %useqtcopy
# Apply qt-copy patches
sh ./apply_patches
%endif

%patch1 -p1 -b .fix_xft_compile
%patch2 -p1 -b .fix_cups_lib
%patch3 -p1 -b .use_aa_by_default
%patch4 -p0 
%patch5 -p1 -b .fix_configure_space
%patch6 -p1 -b .fix_unicode_font_cache
%patch7 -p0 -b .fix_opengl
%patch13 -p1 -b .lib64
%patch14 -p1 -b .linux32
%patch9 -p0 -b .xpm_handling
%patch10 -p1 -b .fix_accessible
%if %{buildImmodule}
%patch11 -p1 -b .add_support_for_qt_immodule
%patch51 -p1 -b .diff_immodule
%patch52 -p1 -b .post_immodule
%patch53 -p1 -b .fix

%endif
%patch15 -p1 -b .fix_qt_export
%patch16 -p1 -b .sharedlibs
#%patch17 -p1 -b .opentype
#%patch18 -p1 -b .imm_pwd
%patch19 -p0 -b .ext_sqlite
%patch23 -p0 -b .rubberband
%patch24 -p0 -b .qtranslator
%patch25 -p0 -b .designer_plugins

%patch54 -p1 -b .fix_xinerama

#%patch55 -p1 -b .fix_xim_press_touch
#%patch57 -p1 -b .arabic


%if %mdkversion >= 200700
%patch56 -p1 -b .fix_xorg_7.0
%endif

%patch58 -p1 -b .fix_qfile_message_error

%patch59 -p1 -b .fix_qfile_message_error
%patch60 -p1 -b .fix_space

%patch61 -p1 -b .fix_utf8_vulnerability
%patch62 -p1 -b .cve-2007-3388
%patch63 -p0 -b .cve-2007-4137


%build
export QTDIR=$(/bin/pwd)
export PATH=$QTDIR/bin:$PATH
export MANPATH=$QTDIR/doc/man:$MANPATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH

%if %{buildImmodule}
sh ./make-symlinks.sh
%endif

%if %useqtcopy
make -f Makefile.cvs
%endif

# Default platform (take care to lib64 arches)
PLATFORM=linux-g++
%if "%_lib" == "lib64"
PLATFORM=linux-g++-64
%endif

function main_configure {
echo "yes" | ./configure \
	-I/usr/include/pgsql/ \
	-I/usr/include/pgsql/server/ \
	-I/usr/include/fontconfig \
	-I/usr/include/Xft2 \
	-I/usr/include/Xft2/X11/Xft \
	-I/usr/include/mysql/ \
	-prefix %qtdir/ \
	-libdir %qtdir/%_lib \
   -plugindir %qtdir/plugins/%_lib \
	-sysconfdir %_sysconfdir \
	-docdir %_docdir/%name/doc/ \
   %if %{buildDebug}
   -debug \
   %else
	-release \
   %endif
	-qt-gif \
	-system-zlib \
	-no-exceptions \
	-platform $PLATFORM \
	-enable-tools \
	-enable-kernel \
	-enable-widgets \
	-enable-dialogs \
	-enable-iconview \
	-enable-workspace \
	-enable-network \
	-enable-canvas \
	-enable-table \
	-enable-xml \
	-enable-input \
	-enable-opengl \
	-dlopen-opengl \
	%if %buildSQL		
		-enable-sql \
		-plugin-sql-mysql \
		-plugin-sql-odbc \
		-plugin-sql-psql \
		-plugin-sql-sqlite \
	%endif
	-plugin-style-cde \
	-plugin-style-compact \
	-plugin-style-motif \
	-plugin-style-sgi \
	-plugin-style-platinum \
	-plugin-style-motifplus \
	-thread \
	-stl \
	-qt-imgfmt-png \
	-qt-imgfmt-jpeg \
	-qt-imgfmt-mng  \
	-system-libpng \
	-system-libjpeg \
	-system-libmng \
	-sm \
	-xinerama \
	-xrender \
	-xrandr \
	-xcursor \
	-xft \
	-nis \
	-no-tablet \
	-v \
	-xkb \
	$*
}

%if %{buildStatic}

main_configure -static 
pushd src
	%make && make INSTALL_ROOT=%{buildroot} install_target
popd
mkdir safelib
mv lib/libqt-mt.a safelib
%endif

# Build shared
main_configure -shared 
%make symlinks src-qmake src-moc sub-src sub-tools


%install
export QTDIR=$(/bin/pwd)
export PATH=$QTDIR/bin:$PATH
export MANPATH=$QTDIR/doc/man:$MANPATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
rm -fr %buildroot

make install INSTALL_ROOT=%buildroot/

mkdir -p %buildroot/%_libdir/pkgconfig/
cd %buildroot/%_libdir/pkgconfig/
ln -sf %qtdir/%_lib/pkgconfig/qt-mt.pc qt-mt.pc
cd -

rm -rf %buildroot/%qtdir/bin/qmake
install -m 0755  %_builddir/%nameqt-%version/qmake/qmake %buildroot/%qtdir/bin/

# David - 3.0.0-0.11mdk - Install a README for Mandriva Linux
install -m 0644 %SOURCE8 %buildroot/%_docdir/%name/README.Mandriva_Linux
perl -pi -e "s|QtVersion|%version|" %buildroot/%_docdir/%name/README.Mandriva_Linux
perl -pi -e "s|PackageVersion|%version-%release|" %buildroot/%_docdir/%name/README.Mandriva_Linux

# David - 3.0.0-0.11mdk - Install missing documentation
install -d -m 0755 %buildroot/%_docdir/%name/
install -m 0644 %_builddir/%nameqt-%version/FAQ       %buildroot/%_docdir/%name/
install -m 0644 %_builddir/%nameqt-%version/LICENSE*  %buildroot/%_docdir/%name/
install -m 0644 %_builddir/%nameqt-%version/README    %buildroot/%_docdir/%name/
install -m 0644 %_builddir/%nameqt-%version/README-QT.TXT %buildroot/%_docdir/%name/

# David - 3.0.0-0.11mdk - Install man pages
install -d -m 0755 %buildroot/%_mandir/man1/
for i in %_builddir/%nameqt-%version/doc/man/man1/* ; do
		if [ ! -d $i ] ; then
		   install -m 0644 $i %buildroot/%_mandir/man1/
		fi
done
#
install -d -m 0755 %buildroot/%_mandir/man3/
for i in %_builddir/%nameqt-%version/doc/man/man3/* ; do
	    if [ ! -d $i ] ; then
   			install -m 0644 $i %buildroot/%_mandir/man3/
	    fi
done

install -d -m 0755 %buildroot/%_bindir/
install -m 0755 %_builddir/%nameqt-%version/bin/moc %buildroot/%qtdir/bin/moc

# David - 3.0.1-2mdk - Install .pri files needed to build examples and tutorials
install -d -m 0755 %buildroot/%qtdir/src/
for i in %_builddir/%nameqt-%version/src/*.pri; do
   install -m 0644 $i %buildroot/%qtdir/src/
done


cp -ar %_builddir/%nameqt-%version/examples/ %buildroot/%_docdir/%name
cp -ar %_builddir/%nameqt-%version/tutorial/ %buildroot/%_docdir/%name

# Fix include directory for examples ( based on David Faure changes )
find %buildroot/%_docdir/%name/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../../include|%qtdir/include|"
find %buildroot/%_docdir/%name/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../include|%qtdir/include|"

# Fix lib directory for examples
find %buildroot/%_docdir/%name/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../../../lib/libqt-mt.prl|%qtdir/%_lib/libqt-mt.prl|"
find %buildroot/%_docdir/%name/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../../lib/libqt-mt.prl|%qtdir/%_lib/libqt-mt.prl|"
find %buildroot/%_docdir/%name/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../lib/libqt-mt.prl|%qtdir/%_lib/libqt-mt.prl|"
find %buildroot/%_docdir/%name/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../src/qt_professional.pri|%qtdir/src/qt_professional.pri|"

# Set RPM_BUILD_DIR to QTDIR
find %buildroot/%_docdir/%name/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|%_builddir/qt-%version|%qtdir|"
find %buildroot/%_docdir/%name/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|%_builddir/qt-x11-free-%version/mkspecs/|%qtdir/mkspecs/|"
find %buildroot/%_docdir/%name/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|%_builddir/qt-x11-free-%version/|%qtdir/|"
find %buildroot/%_docdir/%name/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../lib/libqassistantclient.prl|%qtdir/%_lib/libqassistantclient.prl|"

# Remove .obj .moc directories
for name in `find %buildroot/%_docdir/%name/{examples,tutorial} -type d -name .obj`; do
   rm -rf $name
done
for name in `find %buildroot/%_docdir/%name/{examples,tutorial} -type d -name .moc`; do
   rm -rf $name
done

mv %buildroot/%qtdir/bin/designer %buildroot/%qtdir/bin/designer-real
install -m 0755 %SOURCE5 %buildroot/%qtdir/bin/designer
install -m 0755 %SOURCE6 %buildroot/%_bindir/assistant

pushd %buildroot/%_bindir
ln -s %qtdir/bin/qtconfig qtconfig
ln -s %qtdir/bin/designer designer-qt3
ln -s %qtdir/bin/qmake qmake
popd

# David - 3.0.0-0.11mdk - Create a fake QTDIR (because Qt doesn't care of FHS
#                         and want all its directories in its own directory...)
cd %buildroot/%qtdir/
install -d -m 0755 doc
ln -s %_docdir/%name/doc/html/ doc/html
cd -

# David - 3.0.0-0.11mdk - Install needed files to automatically set QTDIR
#                         (because Qt doesn't care of FHS and want all its
#                         directories in its own directory...)
install -d -m 0755 %buildroot/%_sysconfdir/profile.d/
install -m 0755 %SOURCE1 %buildroot/%_sysconfdir/profile.d/qtdir3.csh
install -m 0755 %SOURCE2 %buildroot/%_sysconfdir/profile.d/qtdir3.sh


# Generate default qtrc
install -d -m 0755 %buildroot/%_sysconfdir/
cat >> %buildroot/%_sysconfdir/qtrc << EOF
[3.3]
libraryPath=%{qtdir}/plugins

[General]
enableXft=true
font=Sans,10,-1,5,0,0,0,0,0,0
style=galaxy
useXft=true
EOF

cat >> %buildroot/%_sysconfdir/kstylerc << EOF
[Settings]
MenuDropShadow=true
MenuOpacity=0.9
MenuTransparencyEngine=Disabled
SemiTransparentRubberband=true
EOF


# David - 3.0.0-0.11mdk - Install designer and linguist .desktop files for Gnome
install -d -m 0755 %buildroot/%_datadir/gnome/apps/Development/
install -m 0644 %SOURCE3 %buildroot/%_datadir/gnome/apps/Development/designer.desktop
install -m 0644 %SOURCE4 %buildroot/%_datadir/gnome/apps/Development/linguist.desktop


# David - 3.0.0-0.11mdk - Install designer and linguist .desktop files for KDE
install -d -m 0755 %buildroot/%_datadir/applnk/Development/
install -m 0644 %SOURCE3 %buildroot/%_datadir/applnk/Development/designer.desktop
install -m 0644 %SOURCE4 %buildroot/%_datadir/applnk/Development/linguist.desktop


## David - 3.0.0-0.11mdk - Install menu entries
install -d -m 0755 %buildroot/%_menudir/

kdedesktop2mdkmenu.pl  %libqt3name-devel "More Applications/Development/Development Environments" %buildroot/%_datadir/applnk/Development/designer.desktop %buildroot/%_menudir/%libqt3name-devel-designer x11
kdedesktop2mdkmenu.pl  %libqt3name-devel "More Applications/Development/Development Environments" %buildroot/%_datadir/applnk/Development/linguist.desktop  %buildroot/%_menudir/%libqt3name-devel-linguist x11



# Multiarch fixes
%multiarch_binaries %buildroot%qtdir/bin/qmake
%multiarch_includes %buildroot%qtdir/include/qconfig.h

%if %{buildStatic}
# Static install
install -d -m 0755 %buildroot/%qtdir/%_lib/ 
install -m644 safelib/*  %{buildroot}/%{qtdir}/%_lib/ 
%endif

# Removing invalid symlink. They really should not be here
# Old symlink if was set in right place, would create a cyclic symlynk
cd %buildroot/%qtdir/mkspecs/
if [ -h default ]; then
   rm -f default/linux*
fi
# provide default64 for multiarch devel
%if "%_lib" == "lib64"
ln -sf linux-g++-64 default64
%endif
cd -

# Install rpm macros
mkdir -p %buildroot/%_sysconfdir/rpm/macros.d
install -m 0644 %SOURCE11 %buildroot/%_sysconfdir/rpm/macros.d


%clean
rm -fr %buildroot



%changelog
* Thu Sep 13 2007 Vincent Danen <vdanen@mandriva.com> 3.3.8-4.2mdv2007.1
- P63: security fix for CVE-2007-4137

* Tue Jul 31 2007 Vincent Danen <vdanen@mandriva.com> 3.3.8-4.1mdv2007.1
- P62: security fix for CVE-2007-3388

* Thu Mar 29 2007 Laurent Montel <lmontel@mandriva.com> 3.3.8-4mdv2007.1
+ Revision: 149898
- Fix qt3 utf8 vulnerability

* Wed Mar 21 2007 Laurent Montel <lmontel@mandriva.com> 3.3.8-3mdv2007.1
+ Revision: 147483
- Fix qt3 default config

* Wed Mar 21 2007 Laurent Montel <lmontel@mandriva.com> 3.3.8-2mdv2007.1
+ Revision: 147345
- Fix space touch (I hope

* Tue Feb 27 2007 Laurent Montel <lmontel@mandriva.com> 3.3.8-1mdv2007.1
+ Revision: 126234
- Fix patch
- Add new immodule patch
  rediff all immodule patch
- 3.3.8
  (need to rediff some patch)

* Tue Feb 13 2007 Helio Chissini de Castro <helio@mandriva.com> 3.3.7-5mdv2007.1
+ Revision: 120391
- Moved qt doc dir for qt3, instead of qt-%%version. Since we can have officially one qt3 installed a
  time on Mandriva system, there's no need of versionated directories. This solves the issue of
  having multiple empty dirs from old upgrade. Similar approach need to be done on qt4 package.

  + Laurent Montel <lmontel@mandriva.com>
    - Don't requires on version-%%{release} as requested
    - Rebuild

* Mon Jan 08 2007 Laurent Montel <lmontel@mandriva.com> 3.3.7-3mdv2007.1
+ Revision: 106201
- Fix bn_IN rendering character

* Fri Jan 05 2007 Laurent Montel <lmontel@mandriva.com> 3.3.7-2mdv2007.1
+ Revision: 104421
- Rebuild

* Tue Oct 24 2006 Laurent Montel <lmontel@mandriva.com> 3.3.7-1mdv2007.0
+ Revision: 72261
- 3.3.7

* Thu Oct 19 2006 Laurent Montel <lmontel@mandriva.com> 3.3.6-19mdv2007.1
+ Revision: 71345
- Fix overflow

* Tue Sep 05 2006 Laurent Montel <lmontel@mandriva.com> 3.3.6-18mdv2007.0
+ Revision: 59934
- New package (3.3.6-18mdv 2006-09-05)
  Add patch to fix search xorg lib on all arch (patch from gb)
  Rebuild against new mysql

* Mon Sep 04 2006 Laurent Montel <lmontel@mandriva.com> 3.3.6-17mdv2007.0
+ Revision: 59714
- d
- New package (3.3.6-17mdv 2006-09-04)
  Add patch from Gwenole Beauchesne <gbeauchesne@mandriva.com>
- readd functional multiarch support
- fix 32-bit builds on lib64 systems
- fix menu file names in qt3-devel package
- augment X.org 7.0 path patch for other linux arches
- Fix bug #15491

* Thu Aug 10 2006 Laurent Montel <lmontel@mandriva.com> 3.3.6-16mdv2007.0
+ Revision: 55311
- New package (2006/08/10 3.3.6-16mdv)
  Add patch to improve qfile debug
- Better error message with qfile

* Fri Jul 28 2006 Helio Chissini de Castro <helio@mandriva.com> 3.3.6-14mdv2007.0
+ Revision: 42346
- Added rpm macros for qt. Now qt rpm packages can use the following macros
  %%qt3dir, %%qt3include, %%qt3lib, %%qt3plugins.
- Added path for Qt binaries. Some programs need access to devel binaries like lrelease
- Desktop files changed place
- Increase release
- Added arabic fonts fix provided by Trolltech
- Redent modification requires that qmake points for default itself. this fixes
  the bug http://qa.mandriva.com/show_bug.cgi?id=21522
- Fix typo
- Fix symlinks. This solve bug http://qa.mandriva.com/show_bug.cgi?id=15090, the
  "qt likes my build dir" infamous bug
- Of course, raise the release number...
- Immodule fix for the most nasty Mandriva Qt bug on Xim. Finally this bug can
  be closed. Reference: http://qa.mandriva.com/show_bug.cgi?id=16300
- Increase release and add %%mkrel
- Added patch for http://qa.mandriva.com/show_bug.cgi?id=16432
  Thanks for Michael Scherer for report
- Removed initial font speedup patch
- Updated with qt-copy from 20051216. This release have added two patches
  described bu Lubos Lunak ( l.lunak@kde.org ) on kde-packager list:
  "Two patches that make Qt rely noticeably less on (slow) fontconfig
  font listing, resulting in significant performance gains. They could
  still use a bit more testing, I myself consider them stable though."
- Remove -b from qmake patches, to avoid wrong addition in packaging
- Finally found qmake error on x86_64. Standard makefiles generated for x86_64
  arches pointed Qt library path for QTDIR/lib, and on Mandriva is QTDIR/lib64.
  This force packages like qca, which use plain qmake scripts, need a lot of
  perl, sed and changes to compile. This solves kdevelop base templates too.
- Fix multiarch plugins in a proper way, using standard qt configue. qt plugins
  now search lib or lib64 depending od their arch. No need more patches and spec
  changes, neiher add another option on configure
- Disable some explicit qDebug call making imm patch less annoying
- Fixed wrong %%config on qtrc. Should be (noreplace)
- Fixed plugin mess
- Clean a little bit more spec
- Fixed designer wrapper
- Fixed default qtrc to match lib<arch> under plugins
- Removed invalid info for tutorial and example build on README
- Fixed removal of extra .moc .obj in tutorial and examples
-Fixed sqlite patch. Correct sqlite version is 2, not 3
- Updated version before submit
- Added missing source
- Qt3 package sanitizing
- Removed all explicit qt-copy patches in favour of qt-copy standard
- Fixed again the immodule bug and merge minor xim adapted patch
- Added patch for no-strict-aliasing on OpenType ( from OpenSUSE )
- Added patch for disable input method on password entry ( from OpenSUSE )
- Added patch for match external sqlite library and avoid use of internal zlib
- Removed xmu patch
- Updated GL load patch
- Added patch for fix xpm handling ( from OpenSUSE )
- Added patch for takeitem crashes in qlistview ( from OpenSUSE )
- Added patch for fonts speedup ( from KDE project )
- Added visual rubberband patch from brazilian KDE developer Andr?\195?\169 Magalh?\195?\163es
- Added patch for qtranslator crash ( from OpenSUSE )
- Fixed plugin directory ( lib/lib64 ) for qt designer wrapper
- Added patch for designer plugins ( from OpenSUSE )
- Complete static-to-shared patch, with libdesignercore and libeditor
- Fixed library search for lib64 on unix test scripts
- Fixed svn changelog finally (none)
- Do not ship examples and tutorial in compressed format. Originally this
  solution was take as all code is compiled. Avoiding compilation make smaller
  packages.
- Remove qmake.cache
- Tutorial package restored
- We are Mandriva now
- Put changelog back on spec since breakage on svn ( again )
  * Tue Oct 25 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-1mdk
- Fix immpatch to compile
- Fix changelog merge
- Fix immpatch to compile
- Added libqassistant as shared. Some KDE apps since 3.5 need ( new kdevelop for
  kdevdesigner )
- Move file section to same package section
- Removed old 3.3.4 not used anymore
- Fixed my fault for not noted that svn isn' t up to date
- Added changelog back to spec avoiding temp the svn log problem ( inconsistency )
- Obsolete pch package
- Disable imm patch. Wrong input module code crash kicker output when some event comes from system tray and uses X11 event queue
- Updated with upstream package to subversion
- Bunzipped all patches
- Created doc package ( reduce devel package size )
- Created static-devel package
- Clean up spec to new layout, allowing both static and shared compilation
- Uploading current spec
- Uploading package ./qt3

  + Laurent Montel <lmontel@mandriva.com>
    - Simplify patch from neoclust to create menu entry
    - Use macro
    - Rebuild because cluster was not update...
      => I hope that now build will be ok
    - Fix search xorg lib when we are on x86_64 and compile with xorg >= 7.0
    - Increase release number
    - Readd patch to fix press enter
    - Add patch to improve xinerama support
    - Rebuild against new gcc-glibc
    - Fix install
      Diable nas
    - F**k split xorg lib...
    - I don't understand idea to split all lib....
    - Other buildrequires fix
    - Start to fix buildrequires with new xorg
    - quote not necessary
    - Fix error
    - Adapt to new xdg menu
    - Reactivate static lib for several project in connectiva
    - Increase version
    - Reactivate immodule
      Disable compile of static lib (any program use it)
      Remove unused patch
    - add patch
    - Update source
    - Time to update it => 3.3.6
      Adapt patch
      Disable for the moment inputmethod
      Next step fix all multi-arch "breakage"...
    - Add patch to disable patch36 which create BIC
      (apply just for MDK <=200600)
    - Rebuild for missing package
    - Add Provides qt3 (requested by Erwan)
    - Fix typo
      * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
    - Rebuild with new mysql
      * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
    - New immodule patch
    - 3.3.5
    - qt3.3.5
    - Fix postun when we have x86_64 and i586 pkg
    - Fix kicker crash (qtimm bugs...)
      * Mon Sep 19 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-23mdk
    - Fix kicker crash
    - Added libqassistant as shared. Some KDE apps since 3.5 need ( new kdevelop for
      kdevdesigner )
    - Move file section to same package section
    - Removed old 3.3.4 not used anymore
    - Allow to compile with all gcc4
    - Fix qt3 visibility support
    - Rebuild on x86_64 with new gcc
    - Update

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway


* Wed May 20 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-06 08:08:53 (307)
- Rebuild on x86_64 with new gcc

* Tue May 15 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-28 20:23:48 (251)
- Updated with upstream package to subversion
- Bunzipped all patches
- Created doc package ( reduce devel package size )
- Created static-devel package
- Clean up spec to new layout, allowing both static and shared compilation

* Wed May 13 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-11mdk
- Enable sqlite
- Add patch114: fix kde bug #106974
- Add patch113: fix misscompile with gcc-4.0 (fix printing and co)

* Thu May 12 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-10mdk
- Add missing buildrequires on x86_64 : linux32

* Mon May 09 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-9mdk
- Try to activate immodule

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-8mdk
- Rebuild with new gcc-4.0.0

* Thu Apr 21 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.4-7mdk
- Fix qmake (patch from Gwenole)

* Mon Apr 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.3.4-6mdk
- Fix email
- multiarch & linux32 fixes

* Mon Mar 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.4-5mdk
- Rebuild

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.4-4mdk
-  Update patch100 and qt-immodule related things patch from UTUMI Hirosi <utuhiro78@yahoo.co.jp>

* Wed Feb 09 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.4-3mdk
- Remove perl -pi -e for man file (Fixed in this release)

* Thu Jan 27 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.4-2mdk
- Reapply some patch

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.4-1mdk
- 3.3.4

* Tue Jan 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-32mdk
- Add patch110 "correctly propagate orientation of wheel events to viewport/content of QScrollView"

* Wed Dec 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-31mdk
- Fix menu

* Thu Nov 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-30mdk
- Add patch109: fix kde bug #84434

* Tue Nov 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-29mdk
- Add patch105: fix 64bit fullscreen
- Add patch106: fix kde bug #88128 (fix focus)
- Add patch107: fix kde bug #58719 (fix qpopupmenu)
- Add patch108: fix kde bug #74778 (fix qpopupmenu)

* Thu Oct 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-28mdk
- Add patch105: fix QTextEdit::zoomIn/Out

* Thu Oct 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-27mdk
- Add qtrc default

* Thu Sep 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-26mdk
- Remove patch103: pb with image

* Tue Sep 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-25mdk
- Disable immodule, there is some bug reported on bugs.kde.org

* Fri Sep 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-24mdk
- Add patch103 fix mitshm image

* Mon Sep 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-23mdk
- Fix create %%_libdir/pkgconfig/ patch from Doug Keller <doug@voidstar.us> thanks

* Fri Sep 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-22mdk
- Move qtconfig link into %%_bindir

* Wed Sep 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-21mdk
- Fix load GL (patch from Gb)

* Tue Sep 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-20mdk
- Add patch97: fix qrichtext regression

* Mon Sep 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-19mdk
- Fix man page

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-18mdk
- Add patch96: fix qtoolbar fix kde bug #77047

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-17mdk
- Fix export QTDIR

* Thu Aug 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-16mdk
- Use qt-x11-immodule-bc-qt3.3.3.patch

* Thu Aug 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-15mdk
- Add patch101-102: fix qt-immute

* Thu Aug 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-14mdk
- Add patch92: fix load xmu
- Add patch93: fix accessible plugins
- Add patch94: fix xpm handling
- Add patch95: fix gif handler

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-13mdk
- Fix "qt3-set-QTDIR-environment-csh" too patch from "Nick Brown <nickbrown@mandrake.org>"

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-12mdk
- Adapt patch from Gb to define position of plugins dir 
		"handle multilib plugins dir"

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-11mdk
- Fix qtdir.sh fix from Nick Brown <nickbrown@mandrake.org>

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-10mdk
- Add patch90: fix qtconfig apply patch from "Amrein-Marie Christophe"

* Tue Aug 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-9mdk
- Fix menu

* Thu Aug 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-8mdk
- Remove unused patch

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-7mdk
- Create link to qt-mt.pc to /usr/lib/pkgconfig

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-6mdk
- Fix opengl

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-5mdk
- Disable patch88, but to load OpenGL extension we must install Mesa-devel...

* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-4mdk
- Update qt-immute patch but not activated by default because java doesn't 
	work with this patch

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-3mdk
- Fix qmake mdk bug #10746

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-2mdk
- Minor clean spec

* Wed Aug 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.3-1mdk
- 3.3.3

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-28mdk
- Tiny spec file fix, patch from "Stefan van der Eijk" <stefan@eijk.nu> thanks.

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-27mdk
- Add conditional build to build qt-immodule (patch from titi)

* Mon Jul 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-26mdk
- Fix spec file

* Tue Jul 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-25mdk
- Add patch87: fix load opengl don't use libGL.so but libGL.so.1

* Mon Jul 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-24mdk
- Fix provides for qt3-pch-headers
- Add debug version

* Mon Jul 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-23mdk
- Try pch

* Fri Jul 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-22mdk
- Remove patch100 it breaks applet java into konqueror (I don't know why for the moment)

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-21mdk
- Fix mimetype

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-20mdk
- Fix example compile

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-19mdk
- Fix again

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-18mdk
- Fix .qmake.cache bug reported by Leon Widdershoven <leon.widdershoven@imasgroep.nl>

* Mon Jun 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-17mdk
- Add patch from UTUMI Hirosi <utuhiro78@yahoo.co.jp> support for qt-immodule
- Add patch86: fix image cache
- Add patch87: fix unicode font cache

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-16mdk
- Add patch84: fix qiconview repaint

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-15mdk
- Rebuild

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-14mdk
- Add patch83: fix space into qconfig.h (Austin Acton <aacton@yorku.ca> asked me that it will fix some problem into compile package)

* Tue May 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-13mdk
- Add patch82: fix kde bug 80072 "konqueror freezes for some seconds when selecting text in text field with mouse"

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-12mdk
- Fix patch81

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-11mdk
- Fix to found Sans font

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Fix configure
- Add patch81: try to fix accent in french language

* Wed May 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Fix patch47 

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Reapply patch to active aa by default

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Add patch46: fix kmenu width
- Add some patch from qt-copy (patch to test)

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Try to reactivate patch37

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Reactive some patch/remove some ununsed patch

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Disable compile to support qt3.3.2

* Wed Apr 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Wed Apr 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-20mdk
- Add patch45: fix qprinter + cups (workaround)

* Mon Apr 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-19mdk
- Add patch44: fix kuickshow fullscreen pb

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-18mdk
- Use mdkversion

* Mon Mar 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-17mdk
- qmake can be use by kdevelop 

* Thu Mar 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-16mdk
- Add patch43: fix dnd between mozilla and kde application

* Mon Mar 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-15mdk
- fix link

* Mon Mar 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-14mdk
- create link for qtconfig to /usr/bin
- Add patch42: use rtl extension by default

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-13mdk
- Fix sync into cooker

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-12mdk
- Rebuild

* Fri Jan 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-11mdk
- Remove windows plugins

* Fri Jan 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Add patch41: less flicker into tabwidget

* Thu Jan 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Add patch38: fix clipboard recursion crash
- Add patch39: fix dnd mem leak
- Add patch40: fix mouse policy (fix for kwin3)

* Wed Jan 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Add patch37: readd alias font for monospace/Sans/

* Thu Jan 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Rebuild with new kdelibs

* Thu Dec 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Rebuild

* Wed Nov 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Add patch37: fix qscrollview in bidi mode

* Mon Nov 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- add patch36: fix url wrap in ktextview

* Thu Nov 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Add patch35 : fix crash into qcanvas

* Fri Nov 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- USe official qt-3.2-3 release

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- Use qt-copy, sync with qt-3.2.3 snapshot

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-5mdk
- Fix compile

* Tue Nov 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- Add patch33: don't wrap url into textview

* Tue Nov 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Fix conflict with cooker

* Fri Oct 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Fix soname

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue Oct 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-7mdk
- Fix crash

* Fri Oct 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-6mdk
- Fix some configure parameter

* Mon Sep 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-5mdk
- Add patch32 : fix qiconviewitem make a little drag
- Fix xft
- Add debug
- Fix crash in kdesktop
- qt-3.2.1

* Fri Sep 26 2003 Pablo Saratxaga <pablo@@mandrakesoft.com> 3.1.2-15mdk
- changed default XIM mode to "Over the Spot"; it is a much safer default

* Sat Aug 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-14mdk
- Fix print document with TTF with space into font name

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-13mdk
- Rebuild with kde widget support


* Tue Aug 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-12mdk
- Further fixes to BuildRequires (Gwenole Beauchesne)
- Provides: qt3-{MySQL,ODBC,PostgreSQL} (Gwenole Beauchesne)
- Package qt3-{common,examples} (Gwenole Beauchesne)

* Thu Jul 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-11mdk
- Fix requires for 9.2

* Tue Jul 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-10mdk
- Rebuild
- Fix depend

* Wed Jul 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-9mdk
- Add nas support

* Tue Jul 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Split package move  example.tar.bz2 to qt-example

* Thu Jun 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Add patch20: fix qlistview "drop and drag multiple files in detailed text mode view when using the konqueror file manager." patch found in kde-devel by Texstar <texstar@houston.rr.com> approved by TT.
- Add patch from Olivier Thauvin, add switch --without SQL

* Mon Jun 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Patch qt to support -sysconfigdir parameter

* Mon Jun 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Remove Source9-Source10 (bug reported by David Faure) not used by qt

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Rebuidl

* Wed Apr 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Fix requires

* Wed Apr 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Add patch17: fix undo/redo in qtextedit => fix undo/redo in knode editor

* Tue Mar 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-13mdk
- Add patch13: AA by default

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-12mdk
- Add patch12: fix xim problem

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-11mdk
- Add patch11 : fix iconview bug when we use takeitem function

* Sun Feb 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-10mdk
- Move qtconfig to libqt3-common

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-9mdk
- Rebuild

* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-8mdk
- Add patch13 : Reduces flicker when starting a drag.

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-7mdk
- Fix compile under MDK9.0/8.2
- Fix group bug reported by Titi

* Thu Jan 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-6mdk
- Fix : remove link to libeditor.so

* Fri Jan 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-5mdk
- change libqt3-datafiles -> libqt3-common

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-4mdk
- Use %%mklibname make happy gb
- Spit again qt to make happy gb

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Add patch11-12 from redhat

* Tue Jan 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Rebuild.

* Tue Dec 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- qt 3.1.1

* Tue Nov 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-7mdk
- Add patch 10 patch from Lars Knoll bug reported by Diego Iastrubni <iastrubn@actcom.co.il>

* Tue Nov 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-6mdk
- Apply patch from Guillaume Rousse <g.rousse@linux-mandrake.com>
	- %libname-mysql, %libname-psql and %libname-odbc subpackage to reduce dependencies
	- more macros
	- using both a PreReq and Requires for the same package is redundant
	- removed redundant libs packages in buildrequires
	- buildrequires libXft2-devel ( just for MDK9.1 )

* Sat Nov 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-5mdk
- Fix doc

* Mon Nov 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-4mdk
- Fix compile with xft2

* Sun Nov 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-3mdk
- Fix compile under MDK9.0-8.2

* Wed Nov 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-2mdk
- Add patch9 : Fix qwidget bug : "It fixes child windows being hidden randomly."

* Wed Nov 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-1mdk
- final

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-0.beta2.4mdk
- Add patch8 : fix compile with xft2

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-0.beta2.3mdk
- Update code from qt-copy for kde3.1-rc2

* Mon Nov 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-0.beta2.2mdk
- Fix moc location

* Fri Sep 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.5-7mdk
- Fix patch7 : patch from Pablo

* Fri Aug 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.5-6mdk
- Add patch7 : fix euro (patch from Pablo)

* Tue Aug 27 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.5-5mdk
- Fix icon (menu)

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0.5-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Aug 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.5-3mdk
- Add patch6 : Add pablo patch fix Latvian language

* Thu Jul 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.5-2mdk
- Change mandrake_release (8.3 -> 9.0 )
- lib64 fixes (fixes from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> )
- Remove BuildRequires: XFree86-static-devel for 9.0 (fixes from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>)

* Mon Jul 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.5-1mdk
- 3.0.5
- Add patch4 : fix PyQt compile
- Add patch5 : fix qt3.0.5 compile

* Sun Jul 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-5mdk
- Add *.so (missing )

* Sat Jul 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-4mdk
- Fix conflict

* Wed May 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-3mdk
- Rebuild with gcc-3.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-2mdk
- Rebuild against gcc-3.1

* Sat May 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- qt-3.0.4

* Thu Apr 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Rebuild against new kdelibs

* Sun Apr 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch3 fix crash in ksplash
- Fix spec file

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Fix buildrequires for 8.1

* Wed Mar 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- qt3-3.0.3 

* Sat Mar 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Use official qt3-3.0.2

* Sat Feb 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- Used qt-rsync

* Tue Jan 15 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-6mdk
- Fix bad /usr/lib/qt3/mkspecs/default link - Thanks to Alexander Skwar

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-5mdk
- Rebuild to replace lost src.rpm

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-4mdk
- Fix menu entries (png icons)

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-3mdk
- Fix %_libdir/qt3/doc/html link

* Sun Dec 30 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-2mdk
- Allow Qt2 and Qt3 to be installed in same time (see CVS for details)
- Remove support for 7.2

* Wed Dec 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- Change release number ( 3.0.1-0.1mdk -> 3.0.1-1mdk)

* Wed Dec 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-0.1mdk
- update code (3.0.1)

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.13mdk
- Use %%version for lib name

* Mon Dec 03 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0.0-0.12mdk
- Fix /etc/profile.d/qtdir3.csh - Thanks to Alexander Schmolck
- Fix PATH in /usr/share/doc/libqt3-devel-3.0.0/README.Mandrake_Linux - Thanks
  to Alexander Schmolck

* Fri Nov 23 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0.0-0.11mdk
- Rewrite spec (there are a lot of modifications, see CVS for full informations)

* Thu Nov 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.10mdk
- Fix

* Wed Nov 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.9mdk
- Add new entry menu for (assistant, linguist programm)

* Thu Nov 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.8mdk
- Fix doc

* Mon Nov 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.7mdk
- Use qt-copy

* Mon Nov 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.6mdk
- %%update_menu %%clean_menu 
- Add requires

* Mon Nov 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.5mdk
- Add man file
- Add missing file (images pluggins)

* Sun Nov 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.4mdk
- Add menu entry
- Some Clean

* Sat Nov 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.3mdk
- Some clean

* Tue Nov 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.0.0-0.2mdk
- change designer package name
- if (stable) provides in libqt3-devel

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.0.0-0.1mdk
- new
